package com.cf.imes.module.system.validation.recharge;

import jakarta.validation.Constraint;
import jakarta.validation.Payload;
import java.lang.annotation.*;

/**
 * 充值类型校验注解
 */
@Target({
        ElementType.FIELD,
})
@Retention(RetentionPolicy.RUNTIME)
@Documented
@Constraint(
        validatedBy = {RechargeTypeValidator.class}
)
public @interface RechargeType {

    String message() default "充值类型不合法， 0：微信、支付宝 1：微信 2：支付宝";

    Class<?>[] groups() default {};

    Class<? extends Payload>[] payload() default {};

}
